// Copyright (c) 2012, Ladislav Thon. All rights reserved. Use of this source
// code is governed by a BSD-style license that can be found in the LICENSE file.

library dsl;

import 'package:darmatch/matchers.dart';
import 'package:detester/detester.dart';

part 'src/dsl/dsl_impl.dart';

get table => new _Table();

get expect => new _Expectations();

each(Iterable iterable) => new _Each(iterable);

typedef bool BoolFunction();

class DslException implements Exception {
  final String _message;

  DslException(this._message);

  String toString() => _message;
}

